<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/notification.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('notification_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">notification.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="notification_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1notification.html">    1</a></span>&#160;<span class="comment">#!/usr/bin/python</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">#       $Id: notification.py 29 2010-12-11 15:39:59Z georgesk $</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="namespacesrc_1_1notification.html#ad7817a63201d275431130bafd5d53821">    4</a></span>&#160;licence={}</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;licence[<span class="stringliteral">&#39;en&#39;</span>]=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral">    file notification.py</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    Copyright (C) 2010 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">import</span> dbus</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">#    Une classe pour afficher des notifications à l&#39;écran. Doit</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">#    fonctionner avec tous les gestionnaires de bureau qui adhèrent aux</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">#    standards de freedesktop.org.</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">#    Cette classe est basée sur la documentation disponible à</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">#    http://www.galago-project.org/specs/notification/0.9/x408.html</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">#</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1notification_1_1Notification.html">Notification</a>:</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a8e69c5698276a197495c94d3d0b2c4bf">   48</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1notification_1_1Notification.html#a8e69c5698276a197495c94d3d0b2c4bf">__init__</a>(self, app_name =&quot;&quot;, replaces_id=0, app_icon=&quot;&quot;,</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a4c80b2d511cd36895a9c03ecae6db5f7">   49</a></span>&#160;                     summary=&quot;&quot;, body=&quot;&quot;, actions=[], hints={},</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a3e58a223b531bfaff29341db1ecefaa8">   50</a></span>&#160;                     expire_timeout=1000):</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a7b1e598ba7bf5c0fb175ab94473532eb">   51</a></span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a4c80b2d511cd36895a9c03ecae6db5f7">app_name</a> = app_name</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a78d8a15fbb2e03f35b5ce74aa324397a">   52</a></span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a3e58a223b531bfaff29341db1ecefaa8">replaces_id</a> = replaces_id</div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a7781330cc464e99e7e08909c20dd1159">   53</a></span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a7b1e598ba7bf5c0fb175ab94473532eb">app_icon</a> = app_icon</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#ae79bf74ed8dc09ac7eab0a32e63c323f">   54</a></span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a78d8a15fbb2e03f35b5ce74aa324397a">summary</a> = summary</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a9bc139a437236138ec21417f39117ad5">   55</a></span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a7781330cc464e99e7e08909c20dd1159">body</a> = body</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a6267c56ca1c66090f132cbcda954a3b4">   56</a></span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#ae79bf74ed8dc09ac7eab0a32e63c323f">actions</a> = actions</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a9bc139a437236138ec21417f39117ad5">hints</a> = hints</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a6267c56ca1c66090f132cbcda954a3b4">expire_timeout</a> = expire_timeout</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <span class="keywordflow">try</span>:</div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#ad21c973847e274983156405a0bed70af">   61</a></span>&#160;                session_bus = dbus.SessionBus()</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                obj = session_bus.get_object(<span class="stringliteral">&quot;org.freedesktop.Notifications&quot;</span>,<span class="stringliteral">&quot;/org/freedesktop/Notifications&quot;</span>)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#ad21c973847e274983156405a0bed70af">interface</a> = dbus.Interface(obj, <span class="stringliteral">&quot;org.freedesktop.Notifications&quot;</span>)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <span class="keywordflow">except</span> Exception:</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;                self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#ad21c973847e274983156405a0bed70af">interface</a> = <span class="keywordtype">None</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classsrc_1_1notification_1_1Notification.html#a7d1032183ca22bc2b84f949546bbc321">   67</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1notification_1_1Notification.html#a7d1032183ca22bc2b84f949546bbc321">notify</a>(self):</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#ad21c973847e274983156405a0bed70af">interface</a>.Notify(self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a4c80b2d511cd36895a9c03ecae6db5f7">app_name</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a3e58a223b531bfaff29341db1ecefaa8">replaces_id</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a7b1e598ba7bf5c0fb175ab94473532eb">app_icon</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a78d8a15fbb2e03f35b5ce74aa324397a">summary</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a7781330cc464e99e7e08909c20dd1159">body</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#ae79bf74ed8dc09ac7eab0a32e63c323f">actions</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a9bc139a437236138ec21417f39117ad5">hints</a>, self.<a class="code" href="classsrc_1_1notification_1_1Notification.html#a6267c56ca1c66090f132cbcda954a3b4">expire_timeout</a>)</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keywordflow">if</span> __name__==<span class="stringliteral">&quot;__main__&quot;</span>:</div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="namespacesrc_1_1notification.html#aafcedf399a785897330b119ec1beea42">   72</a></span>&#160;    notif = <a class="code" href="classsrc_1_1notification_1_1Notification.html">Notification</a>(app_name=<span class="stringliteral">&quot;AppliTest&quot;</span>,</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                         summary=<span class="stringliteral">&quot;Notification de test&quot;</span>,</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;                         body=<span class="stringliteral">&quot;Voici le corps de la notification&quot;</span>,</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                         app_icon=<span class="stringliteral">&quot;/usr/share/pixmaps/vlc.png&quot;</span>,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;                         expire_timeout=7000)</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    notif.notify()</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a7d1032183ca22bc2b84f949546bbc321"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a7d1032183ca22bc2b84f949546bbc321">src.notification.Notification.notify</a></div><div class="ttdeci">def notify(self)</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00067">notification.py:67</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a4c80b2d511cd36895a9c03ecae6db5f7"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a4c80b2d511cd36895a9c03ecae6db5f7">src.notification.Notification.app_name</a></div><div class="ttdeci">app_name</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00049">notification.py:49</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a8e69c5698276a197495c94d3d0b2c4bf"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a8e69c5698276a197495c94d3d0b2c4bf">src.notification.Notification.__init__</a></div><div class="ttdeci">def __init__(self, app_name=&quot;&quot;, replaces_id=0, app_icon=&quot;&quot;, summary=&quot;&quot;, body=&quot;&quot;, actions=[], hints={}, expire_timeout=1000)</div><div class="ttdoc">Le constructeur.</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00048">notification.py:48</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a7b1e598ba7bf5c0fb175ab94473532eb"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a7b1e598ba7bf5c0fb175ab94473532eb">src.notification.Notification.app_icon</a></div><div class="ttdeci">app_icon</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00051">notification.py:51</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html">src.notification.Notification</a></div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00035">notification.py:35</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a7781330cc464e99e7e08909c20dd1159"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a7781330cc464e99e7e08909c20dd1159">src.notification.Notification.body</a></div><div class="ttdeci">body</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00053">notification.py:53</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a78d8a15fbb2e03f35b5ce74aa324397a"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a78d8a15fbb2e03f35b5ce74aa324397a">src.notification.Notification.summary</a></div><div class="ttdeci">summary</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00052">notification.py:52</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a6267c56ca1c66090f132cbcda954a3b4"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a6267c56ca1c66090f132cbcda954a3b4">src.notification.Notification.expire_timeout</a></div><div class="ttdeci">expire_timeout</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00056">notification.py:56</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_ae79bf74ed8dc09ac7eab0a32e63c323f"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#ae79bf74ed8dc09ac7eab0a32e63c323f">src.notification.Notification.actions</a></div><div class="ttdeci">actions</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00054">notification.py:54</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a3e58a223b531bfaff29341db1ecefaa8"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a3e58a223b531bfaff29341db1ecefaa8">src.notification.Notification.replaces_id</a></div><div class="ttdeci">replaces_id</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00050">notification.py:50</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_ad21c973847e274983156405a0bed70af"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#ad21c973847e274983156405a0bed70af">src.notification.Notification.interface</a></div><div class="ttdeci">interface</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00061">notification.py:61</a></div></div>
<div class="ttc" id="aclasssrc_1_1notification_1_1Notification_html_a9bc139a437236138ec21417f39117ad5"><div class="ttname"><a href="classsrc_1_1notification_1_1Notification.html#a9bc139a437236138ec21417f39117ad5">src.notification.Notification.hints</a></div><div class="ttdeci">hints</div><div class="ttdef"><b>Definition:</b> <a href="notification_8py_source.html#l00055">notification.py:55</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="notification_8py.html">notification.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
